MongoGridFSCursor::getNext
Batch Classes
MongoGridFSCursor
PHP Manual

# MongoGridFSCursor::key

(PECL mongo >=0.9.0)

MongoGridFSCursor::key — Returns the current result's filename

### Description

public string MongoGridFSCursor::key ( void )

### Parameters

This function has no parameters.

### Return Values

The current result's _id as a string.

### Changelog

Version | Description
--- | ---
1.3.0 | The document's _id is returned as a string value, since the key should be unique. Pre-1.3.0, filename was returned.

MongoGridFSCursor::getNext
Batch Classes
MongoGridFSCursor
PHP Manual